package org.jeecg.modules.geoAnalysis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.modules.commonQueryConfig.entity.CommonQueryConfig;
import org.jeecg.modules.geoAnalysis.entity.GeoAnalysis;
import org.jeecg.modules.geoAnalysis.entity.ZYFXPZB;
import org.jeecg.modules.gis.lochistory.entity.LocHistory;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description: 定位信息表
 * @Author: jeecg-boot
 * @Date: 2022-07-01
 * @Version: V1.0
 */
public interface GeoAnalysisMapper extends BaseMapper<GeoAnalysis> {
    //统计占压情况
    List<HashMap<String, Object>> DrawMap(HashMap map);

    List<HashMap<String, Object>> DrawMapByShape(HashMap map);

    List<ZYFXPZB> SelectByTb(String MTABLENAME);

    ZYFXPZB SelectByTbs(String MTABLENAME, String atableename);

    HashMap<String, Object> SelectDetails(HashMap map);

    ArrayList<CommonQueryConfig> SelectByTable(String TABLEALIAS);

    HashMap<String, Object> SelectGdxmjbxx(HashMap map);

    List<Map<String,Object>>exportShp(String id);


}
